Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 361400)
+++ apps/app_queue.c	(working copy)
@@ -1621,6 +1621,7 @@
 	struct member *cur;
 	
 	if ((cur = ao2_alloc(sizeof(*cur), NULL))) {
+		cur->ignorebusy = 1;
 		cur->penalty = penalty;
 		cur->paused = paused;
 		ast_copy_string(cur->interface, interface, sizeof(cur->interface));
Index: CHANGES
===================================================================
--- CHANGES	(revision 361400)
+++ CHANGES	(working copy)
@@ -24,6 +24,14 @@
    should help reduce the 'doing dnsmgr_lookup for' message from spamming the
    CLI.
 
+Queue changes
+-------------
+ * Default value for 'ignorebusy' flag on queue members is now 1 instead of 0
+   to get the default behavior in line with 1.8. The only way to change this
+   flag in 10 is to use the QUEUE_MEMBER function to change ignorebusy unless
+   using realtime queue members (in which case it can be manipualted on the
+   database normally).
+
 ------------------------------------------------------------------------------
 --- Functionality changes since Asterisk 10.1.0 ------------------------------
 ------------------------------------------------------------------------------
Index: configs/queues.conf.sample
===================================================================
--- configs/queues.conf.sample	(revision 361400)
+++ configs/queues.conf.sample	(working copy)
@@ -68,7 +68,7 @@
 ; app_queue allows calls to members in a "Unknown" state to be treated as available
 ; setting check_state_unknown = yes will cause app_queue to query the channel driver
 ; to better determine the state this only applies to queues with ringinuse or ignorebusy
-; set appropriately. 
+; set appropriately.
 ;
 ;check_state_unknown = no
 ;
@@ -481,12 +481,11 @@
 ;
 ; If you want the queue to avoid sending calls to members whose devices are
 ; known to be 'in use' (via the channel driver supporting that device state)
-; uncomment this option. (Note: only the SIP channel driver currently is able
-; to report 'in use'.)
+; uncomment this option. This can be controlled on a per member basis by
+; setting 'ignorebusy' in the QUEUE_MEMBER function. (Note: only the SIP
+; channel driver currently is able to report 'in use'.) (Note: if this option
+; is set to 'no' then the member value 'ignorebusy' will have no effect)
 ;
-; A member can have the ignorebusy flag set or unset when ringinuse is set to
-; allow a per member control.
-;
 ; ringinuse = no
 ;
 ; If you wish to have a delay before the member is connected to the caller (or

